LZ4Compressor (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.io.compress

## Class LZ4Compressor

- java.lang.Object
- - org.apache.cassandra.io.compress.LZ4Compressor

- All Implemented Interfaces:
    ICompressor

      public class LZ4Compressor
      extends java.lang.Object
      implements ICompressor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.io.compress.ICompressor

      `ICompressor.WrappedArray`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compress(byte[] input, int inputOffset, int inputLength, ICompressor.WrappedArray output, int outputOffset)`
    `static LZ4Compressor` | `create(java.util.Map<java.lang.String,java.lang.String> args)`
    `int` | `initialCompressedBufferLength(int chunkLength)`
    `java.util.Set<java.lang.String>` | `supportedOptions()`
    `int` | `uncompress(byte[] input, int inputOffset, int inputLength, byte[] output, int outputOffset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static LZ4Compressor create(java.util.Map<java.lang.String,java.lang.String> args)

    - #### initialCompressedBufferLength

          public int initialCompressedBufferLength(int chunkLength)

      Specified by:
        `initialCompressedBufferLength` in interface `ICompressor`

    - #### compress

          public int compress(byte[] input,
                     int inputOffset,
                     int inputLength,
                     ICompressor.WrappedArray output,
                     int outputOffset)
                       throws java.io.IOException

      Specified by:
        `compress` in interface `ICompressor`
      Throws:
        `java.io.IOException`

    - #### uncompress

          public int uncompress(byte[] input,
                       int inputOffset,
                       int inputLength,
                       byte[] output,
                       int outputOffset)
                         throws java.io.IOException

      Specified by:
        `uncompress` in interface `ICompressor`
      Throws:
        `java.io.IOException`

    - #### supportedOptions

          public java.util.Set<java.lang.String> supportedOptions()

      Specified by:
        `supportedOptions` in interface `ICompressor`

Copyright © 2014 The Apache Software Foundation